Subject: Re: A-26A (B-26K)
From: "Steve Bamford" <[email-masked]>
To: "dhorn" <[email-masked]>
Date: Wed, 30 Jan 2002 23:02:30 -0800

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
  ----- Original Message ----- 
  From: dhorn 
  To: [email-masked] 
  Sent: Thursday, January 17, 2002 6:51 PM
  Subject: A-26A (B-26K)

  Steve,

  Here are a few shots of my B-26K (A-26A)Counter Invader or whatever the real designation may be. I called it an A-26K for many years until I read the detail & scale book and found out that it never carried that designation.
   
  I built this kit for my father years ago to an increasing collection of aircraft that flew "Blind Bat" flare missions. The aircraft I still have left build is a Falcon vacuform B-57 Canberra and a better quality A-1E Skyraider.
   
  The aircraft depicted is on display at Hulbert Field in Florida and is in standard SEA paint scheme. These aircraft also had very little markings, known to some as "sanitized", carrying only the tail numbers.
   
  The kit is the 1/48 scale Revell A-26B Invader, not the pro modeler and the conversion kit is from Paragon and the pilots are from other revell kits. Most of the weapons, bomblet dispenser, Napalm and rocket pods are from Kendall Skyraider Weapons set.
   
  Picture A-26-6 is the A-26 in its natural environment with the C-130. The other photo's are self explanatory.
   
  David Horn